
From: Pavel Machek <pavel@ucw.cz>

This kills unused part of struct and fixes spelling. Please apply,



---

 25-akpm/include/linux/suspend.h |    3 ---
 25-akpm/kernel/power/swsusp.c   |    4 ++--
 2 files changed, 2 insertions(+), 5 deletions(-)

diff -puN include/linux/suspend.h~swsusp-trivial-cleanups include/linux/suspend.h
--- 25/include/linux/suspend.h~swsusp-trivial-cleanups	Tue Jan 20 16:58:15 2004
+++ 25-akpm/include/linux/suspend.h	Tue Jan 20 16:58:15 2004
@@ -32,9 +32,6 @@ struct suspend_header {
 	int page_size;
 	suspend_pagedir_t *suspend_pagedir;
 	unsigned int num_pbes;
-	struct swap_location {
-		char filename[SWAP_FILENAME_MAXLENGTH];
-	} swap_location[MAX_SWAPFILES];
 };
 
 #define SUSPEND_PD_PAGES(x)     (((x)*sizeof(struct pbe))/PAGE_SIZE+1)
diff -puN kernel/power/swsusp.c~swsusp-trivial-cleanups kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-trivial-cleanups	Tue Jan 20 16:58:15 2004
+++ 25-akpm/kernel/power/swsusp.c	Tue Jan 20 16:58:18 2004
@@ -284,8 +284,8 @@ static void lock_swapdevices(void) /* Th
  *    would happen on next reboot -- corrupting data.
  *
  *    Note: The buffer we allocate to use to write the suspend header is
- *    not freed; its not needed since system is going down anyway
- *    (plus it causes oops and I'm lazy^H^H^H^Htoo busy).
+ *    not freed; its not needed since the system is going down anyway
+ *    (plus it causes an oops and I'm lazy^H^H^H^Htoo busy).
  */
 static int write_suspend_image(void)
 {

_
